WIF1.0.win8

It seems that there’s an inverse relationship between the amount gamma-aminobutyric acid in my synapses and the amount of blog posts I produce… or, in other words, when the jet lag prevents me from sleeping I fire up Live Writer Smile

In today’s gift from Morpheus I want to tell you about one of the most common questions I got in the last few months: “ I am trying to install the WIF1.0 runtime on Windows 8 / Windows Server 2012 but it fails!”.

In the .NET Framework 4.5 the WIF classes are already in the framework itself, hence a runtime is no longer necessary; however if you want to run on your brand new WIn8 box one existing application based on WIF1.0 and an older version of the .NET Framework, you do need to have the WIF1.0 runtime available on the machine. What gives, then?

Well, the install attempts fail of the existing .MSU because the WIF1.0 runtime downloadable packages are all OS specific updates, and all for pre-Win8 OSes. 
So, you might ask, where is the package for Win8 then?

Here comes the kicker: the WIF 1.0 runtime is already available on the machine, as a Windows Feature that you can turn on and off. Exhibit A: the screenshot at the beginning of the post.

See? Simple as that Smile I hope that the search engines will pick up this post, you’d be surprised by how many people ran into this. Also, make sure to check out WIF in .NET 4.5… I like to think that once you’ll see it, you’ll want to migrate ASAP Winking smile